Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class Ellipse

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.Ellipse

All Implemented Interfaces:
  IFigure

public class Ellipse
extends Shape

An figure that draws an ellipse filling its bounds.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Shape
`lineStyle, lineWidth`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`Ellipse()` Constructs a new Ellipse with the default values of a Shape.

Method Summary
`boolean` `containsPoint(int x, int y)` Returns `true` if the given point (x,y) is contained within this ellipse.
`protected void` `fillShape(Graphics graphics)` Fills the ellipse.
`protected void` `outlineShape(Graphics graphics)` Outlines the ellipse.

Methods inherited from class org.eclipse.draw2d.Shape
`getLineStyle, getLineWidth, isOpaque, paintFigure, setFill, setFillXOR, setLineStyle, setLineWidth, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ellipse

    public Ellipse()

  Constructs a new Ellipse with the default values of a Shape.

Since:
  2.0

Method Detail

### containsPoint

    public boolean containsPoint(int x,
                                 int y)

  Returns `true` if the given point (x,y) is contained within this ellipse.

  Specified by:
    `containsPoint` in interface `IFigure`
  Overrides:
    `containsPoint` in class `Figure`
  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
  Returns:
    `true`if the given point is contained
  See Also:
    `IFigure.containsPoint(int, int)`

### fillShape

    protected void fillShape(Graphics graphics)

  Fills the ellipse.

  Specified by:
    `fillShape` in class `Shape`
  Parameters:
    `graphics` - the graphics object
  See Also:
    `Shape.fillShape(org.eclipse.draw2d.Graphics)`

### outlineShape

    protected void outlineShape(Graphics graphics)

  Outlines the ellipse.

  Specified by:
    `outlineShape` in class `Shape`
  Parameters:
    `graphics` - the graphics object
  See Also:
    `Shape.outlineShape(org.eclipse.draw2d.Graphics)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.